WordPress.org

Ready to get started?Download WordPress

Forums

WP Super Edit
Doesn't work, PHP Error (4 posts)

  1. Kruncher
    Member
    Posted 3 years ago #

    I have installed this plugin, but after clicking "Install WP Super Edit" and selecting "Configure Editor Plugins" (without any editor plugins installed), or add/remove buttons, I get the following error:

    Warning: Invalid argument supplied for foreach() in D:\Development\httpdocs\testsite\wp-content\plugins\wp-super-edit\wp-super-edit-admin.php on line 747

    The editor appears no different when editing a page or post.

  2. Jess Planck
    Member
    Plugin Author

    Posted 3 years ago #

    Looks like WP Super Edit isn't really installed. The plugin currently adds three tables to your WordPress database. The routine that you've mentioned with errors is the function that displays the TinyMCE plugins for WP Super Edit TinyMCE plugin options panel.

    The database tables could be not installed, or only partially installed. There could be something different with your server setup since it appears to be an Windows install.

    You should check your database for the three wp_super_edit tables. Check to see if the tables have any data in them. Let me know more about this WordPress environment; Is this a local install vs. a hosted internet install, php & mysql versions. Server environment could be critical since I do not have a Windows testing environment available.

  3. Kruncher
    Member
    Posted 3 years ago #

    I have checked the database and there are only two additional tables:
    - wp_wp_super_edit_options
    - wp_wp_super_edit_plugins

    The third appears to be missing.

    My development server information:
    Hardware:
    - Intel Core i7 2.80GHz
    - 8.00 GB RAM

    Software:
    - Windows 7 Ultimate (64-bit)
    - Apache 2.2.16
    - MySQL 5.1.50
    - PHP 5.3.3

    Please let me know if there is any other information that would be of assistance...

  4. joe33
    Member
    Posted 3 years ago #

    I have the same problem. I manually created the third table, but it still gives me the same errors.
    The plugin works as expected on my local system (XAMPP).
    But i get those errors when i try to use in on a live site.

    Is there any way to get around this?

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic